/*
 * generated by Xtext 2.11.0
 */
package com.mncml.implementation.pogo.parser.antlr;

import com.google.inject.Inject;
import com.mncml.implementation.pogo.parser.antlr.internal.InternalSimulatorDslParser;
import com.mncml.implementation.pogo.services.SimulatorDslGrammarAccess;
import org.eclipse.xtext.parser.antlr.AbstractAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;

public class SimulatorDslParser extends AbstractAntlrParser {

	@Inject
	private SimulatorDslGrammarAccess grammarAccess;

	@Override
	protected void setInitialHiddenTokens(XtextTokenStream tokenStream) {
		tokenStream.setInitialHiddenTokens("RULE_WS", "RULE_ML_COMMENT", "RULE_SL_COMMENT");
	}
	

	@Override
	protected InternalSimulatorDslParser createParser(XtextTokenStream stream) {
		return new InternalSimulatorDslParser(stream, getGrammarAccess());
	}

	@Override 
	protected String getDefaultRuleName() {
		return "TangoSimLib";
	}

	public SimulatorDslGrammarAccess getGrammarAccess() {
		return this.grammarAccess;
	}

	public void setGrammarAccess(SimulatorDslGrammarAccess grammarAccess) {
		this.grammarAccess = grammarAccess;
	}
}
